# Generated by Django 3.0.3 on 2020-07-04 15:27

import colorfield.fields
import datetime
from django.db import migrations, models
import django.db.models.deletion
import django.utils.timezone


class Migration(migrations.Migration):

    replaces = [('wizer', '0001_initial'), ('wizer', '0002_auto_20200208_1423'), ('wizer', '0003_auto_20200214_1930'), ('wizer', '0004_auto_20200223_1709'), ('wizer', '0005_auto_20200308_1347'), ('wizer', '0006_auto_20200308_1352'), ('wizer', '0007_auto_20200308_1602'), ('wizer', '0008_auto_20200308_1930'), ('wizer', '0009_auto_20200308_1931'), ('wizer', '0010_auto_20200308_1932'), ('wizer', '0011_auto_20200314_0928'), ('wizer', '0012_auto_20200314_0949'), ('wizer', '0013_settings_reimporter_updates_all'), ('wizer', '0014_remove_activity_calories'), ('wizer', '0015_traces_calories'), ('wizer', '0016_traces_timestamps_list'), ('wizer', '0017_settings_delete_files_after_import'), ('wizer', '0018_auto_20200414_0744'), ('wizer', '0019_sport_color_field'), ('wizer', '0020_auto_20200430_0640'), ('wizer', '0021_auto_20200430_0645'), ('wizer', '0022_activity_is_demo_activity'), ('wizer', '0023_lap'), ('wizer', '0024_auto_20200524_1010'), ('wizer', '0025_remove_settings_plotting_style'), ('wizer', '0026_lap_was_trigger_manual'), ('wizer', '0027_auto_20200601_0749'), ('wizer', '0028_auto_20200610_1401'), ('wizer', '0029_lap_description'), ('wizer', '0030_auto_20200627_2223'), ('wizer', '0031_auto_20200627_2233'), ('wizer', '0032_auto_20200628_0933'), ('wizer', '0033_auto_20200629_1116'), ('wizer', '0034_remove_lap_description'), ('wizer', '0035_lap_label'), ('wizer', '0036_auto_20200629_1422')]

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Sport',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=24, unique=True, verbose_name='Sport Name:')),
                ('color', colorfield.fields.ColorField(default='#42FF71', max_length=18, verbose_name='Color:')),
                ('icon', models.CharField(max_length=24, verbose_name='Icon:')),
                ('slug', models.SlugField(blank=True, max_length=100, unique=True)),
                ('created', models.DateTimeField(auto_now_add=True)),
                ('updated', models.DateTimeField(auto_now=True)),
            ],
        ),
        migrations.CreateModel(
            name='Traces',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('path_to_file', models.CharField(max_length=200)),
                ('file_name', models.CharField(editable=False, max_length=100)),
                ('md5sum', models.CharField(max_length=32, unique=True)),
                ('coordinates_list', models.CharField(default='[]', max_length=10000000000)),
                ('altitude_list', models.CharField(default='[]', max_length=10000000000)),
                ('heart_rate_list', models.CharField(default='[]', max_length=10000000000)),
                ('max_altitude', models.FloatField(blank=True, null=True)),
                ('min_altitude', models.FloatField(blank=True, null=True)),
                ('aerobic_training_effect', models.FloatField(blank=True, null=True)),
                ('anaerobic_training_effect', models.FloatField(blank=True, null=True)),
                ('avg_cadence', models.IntegerField(blank=True, null=True)),
                ('avg_heart_rate', models.IntegerField(blank=True, null=True)),
                ('avg_speed', models.FloatField(blank=True, null=True)),
                ('avg_temperature', models.IntegerField(blank=True, null=True)),
                ('cadence_list', models.CharField(default='[]', max_length=10000000000)),
                ('max_cadence', models.IntegerField(blank=True, null=True)),
                ('max_heart_rate', models.IntegerField(blank=True, null=True)),
                ('max_speed', models.FloatField(blank=True, null=True)),
                ('max_temperature', models.IntegerField(blank=True, null=True)),
                ('speed_list', models.CharField(default='[]', max_length=10000000000)),
                ('temperature_list', models.CharField(default='[]', max_length=10000000000)),
                ('min_cadence', models.IntegerField(blank=True, null=True)),
                ('min_heart_rate', models.IntegerField(blank=True, null=True)),
                ('min_speed', models.FloatField(blank=True, null=True)),
                ('min_temperature', models.IntegerField(blank=True, null=True)),
                ('calories', models.IntegerField(blank=True, null=True)),
                ('timestamps_list', models.CharField(default='[]', max_length=10000000000)),
                ('created', models.DateTimeField(auto_now_add=True, default=django.utils.timezone.now)),
                ('updated', models.DateTimeField(auto_now=True)),
            ],
        ),
        migrations.CreateModel(
            name='Activity',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(default='unknown', max_length=200, verbose_name='Activity Name:')),
                ('date', models.DateTimeField(default=django.utils.timezone.now, verbose_name='Date:')),
                ('duration', models.DurationField(default=datetime.timedelta(seconds=1800), verbose_name='Duration:')),
                ('distance', models.FloatField(blank=True, default=0, null=True, verbose_name='Distance:')),
                ('description', models.CharField(blank=True, max_length=600, null=True, verbose_name='Description:')),
                ('sport', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, to='wizer.Sport', verbose_name='Sport:')),
                ('trace_file', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='wizer.Traces')),
                ('is_demo_activity', models.BooleanField(default=False, verbose_name='Is this a Demo Activity:')),
                ('created', models.DateTimeField(auto_now_add=True, default=django.utils.timezone.now)),
                ('updated', models.DateTimeField(auto_now=True)),
            ],
        ),
        migrations.CreateModel(
            name='Lap',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('start_time', models.DateTimeField()),
                ('end_time', models.DateTimeField()),
                ('elapsed_time', models.DurationField()),
                ('start_lat', models.FloatField(blank=True, null=True)),
                ('start_long', models.FloatField(blank=True, null=True)),
                ('end_lat', models.FloatField(blank=True, null=True)),
                ('end_long', models.FloatField(blank=True, null=True)),
                ('distance', models.FloatField(blank=True, null=True)),
                ('speed', models.FloatField(blank=True, null=True)),
                ('trace', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='wizer.Traces')),
                ('trigger', models.CharField(default='not-specified', max_length=120)),
                ('created', models.DateTimeField(auto_now_add=True, default=django.utils.timezone.now)),
                ('updated', models.DateTimeField(auto_now=True)),
                ('label', models.CharField(blank=True, max_length=100, null=True, verbose_name='Label:')),
            ],
        ),
        migrations.CreateModel(
            name='Settings',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('path_to_trace_dir', models.CharField(default='/home/pi/traces/', max_length=120, verbose_name='Path to Traces Directory:')),
                ('path_to_garmin_device', models.CharField(default='/run/user/1000/gvfs/', max_length=120, verbose_name='Path to Garmin Device:')),
                ('file_checker_interval', models.IntegerField(default=60, verbose_name='File Checker Time Interval:')),
                ('number_of_days', models.IntegerField(choices=[(9999, 'all'), (365, 365), (180, 180), (90, 90), (30, 30), (10, 10)], default=30)),
                ('reimporter_updates_all', models.BooleanField(default=False, verbose_name='Force Update all Fields:')),
                ('delete_files_after_import', models.BooleanField(default=False, verbose_name='Delete fit Files after Copying: ')),
                ('created', models.DateTimeField(auto_now_add=True, default=django.utils.timezone.now)),
                ('updated', models.DateTimeField(auto_now=True)),
            ],
        ),
    ]
